langcode: en
status: true
dependencies:
  config:
    - node.type.article
    - node.type.page
    - node.type.recipe
  module:
    - content_moderation
id: editorial
label: Editorial
type: content_moderation
type_settings:
  states:
    archived:
      label: Archived
      weight: 5
      published: false
      default_revision: true
    draft:
      label: Draft
      weight: -5
      published: false
      default_revision: false
    published:
      label: Published
      weight: 0
      published: true
      default_revision: true
  transitions:
    archive:
      label: Archive
      from:
        - published
      to: archived
      weight: 2
    archived_draft:
      label: 'Restore to Draft'
      from:
        - archived
      to: draft
      weight: 3
    archived_published:
      label: Restore
      from:
        - archived
      to: published
      weight: 4
    create_new_draft:
      label: 'Create New Draft'
      from:
        - draft
        - published
      to: draft
      weight: 0
    publish:
      label: Publish
      from:
        - draft
        - published
      to: published
      weight: 1
  entity_types:
    node:
      - article
      - page
      - recipe
  default_moderation_state: draft
